cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From yosauron <yosauron.desarro...@gmail.com>
Subject Re: Database connection by cocoon 2.2
Date Mon, 29 Sep 2008 08:01:37 GMT



Joerg Heinicke wrote:
> 
> On 25.09.2008 12:53, yosauron wrote:
> 
>>> org.springframework.beans.factory.xml.XmlBeanDefinitionStoreException:
>>> Line 23 in XML document from URL
>>> [jar:file:/home/caribdis/.m2/repository/org/apache/cocoon/cocoon-databases-bridge/1.1.0-SNAPSHOT/cocoon-databases-bridge-1.1.0-SNAPSHOT.jar!/META-INF/cocoon/spring/SpringToAvalonDataSourceBridge.xml]
>>> is invalid; nested exception is org.xml.sax.SAXParseException:
>>> cvc-elt.1:
>>> Cannot find the declaration of element 'beans'.
>>> 	at
>>> org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadBeanDefinitions(XmlBeanDefinitionReader.java:359)
>>> 	at
>>> org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions(XmlBeanDefinitionReader.java:303)
>>> 	at
>>> org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions(XmlBeanDefinitionReader.java:280)
>>> 	at
>>> org.apache.cocoon.spring.configurator.impl.AbstractSettingsElementParser.handleImport(AbstractSettingsElementParser.java:197)
>>> 	at
>>> org.apache.cocoon.spring.configurator.impl.AbstractSettingsElementParser.handleBeanInclude(AbstractSettingsElementParser.java:187)
>>> 	at
>>> org.apache.cocoon.spring.configurator.impl.AbstractSettingsElementParser.parse(AbstractSettingsElementParser.java:145)
>>> 	... 59 more
>>> Caused by: org.xml.sax.SAXParseException: cvc-elt.1: Cannot find the
>>> declaration of element 'beans'.
>>> 	at
>>> org.apache.xerces.util.ErrorHandlerWrapper.createSAXParseException(Unknown
>>> Source)
>>> 	at org.apache.xerces.util.ErrorHandlerWrapper.error(Unknown Source)
>>> 	at org.apache.xerces.impl.XMLErrorReporter.reportError(Unknown Source)
>>> 	at org.apache.xerces.impl.XMLErrorReporter.reportError(Unknown Source)
>>> 	at
>>> org.apache.xerces.impl.xs.XMLSchemaValidator.handleStartElement(Unknown
>>> Source)
>>> 	at org.apache.xerces.impl.xs.XMLSchemaValidator.startElement(Unknown
>>> Source)
>>> 	at
>>> org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown
>>> Source)
> 
>> I'm very confused, I don't understand why do I get the second error? Is
>> it a
>> versions dependencies errors? In that case, Which versions do I have to
>> use
>> to fix it? How do I know the versions of the dependencies that do I have
>> to
>> use? Forgive me but I'm very lost.. :'(. I hope that you can help me...
> 
> This time it seems there is a problem with Spring jars. I can't help you 
> with the dependencies in particular, I just interpret the error messages.
> 
> Joerg
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
> For additional commands, e-mail: users-help@cocoon.apache.org
> 
> 
> 


If the problem is with Spring jars, Do you know what I have to do to fix
that error??   ?:|
Thanks ;).



-- 
View this message in context: http://www.nabble.com/Database-connection-by-cocoon-2.2-tp17674320p19719764.html
Sent from the Cocoon - Users mailing list archive at Nabble.com.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message